html {
  letter-spacing: 0.02rem;

  body {
    background-color: transparent;
    color: $body-color;
    overflow: hidden;

    #root {
      position: absolute;
      display: flex;
      flex-direction: column;
      top: 0;
      left: 0;
      width: 100vw;
      height: 100vh;

      .FallbackLoading {
        position: relative;
        top: 50%;
        left: 50%;
      }

      .DrawerTransition {
        transition-property: all;
        transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
        transition-duration: 350ms;
      }

      .AppBar {
        @extend .DrawerTransition;

        height: $appbar-height;
      }

      .DrawerOpen {
        @extend .DrawerTransition;

        width: calc(100% - #{$drawer-width});
        margin-left: calc(1rem + #{$drawer-width}) !important;

        .MenuIcon {
          display: none;
        }
      }

      .Drawer {
        .DrawerPaper {
          width: $drawer-width;
        }

        .DrawerControl {
          display: flex;
          justify-content: flex-end;
          align-items: center;
          padding: 0.25rem 0.8rem;
          height: fit-content;
        }

        .DrawerHeader {
          height: fit-content;
          display: flex;
          justify-content: center;
          align-items: center;
          margin-bottom: 3rem;
          padding: 1rem;

          a {
            text-decoration: none;
            display: flex;
            flex-direction: column;
            align-items: center;
          }

          &__Title {
            text-align: center;
            color: $font-color;

            &:hover {
              color: $font-color-hover;
            }
          }
        }

        .DrawerMenu {
          &__Item {
            .Item__Text {
              font-weight: bold;
            }

            .Item__Icon {
              color: $primary-color;
            }

            &:hover {
              color: $font-color-hover;
            }
          }

          &__Group {
            .SubGroup {
              margin-left: 1rem;
            }
          }
        }
      }

      .Main {
        @extend .DrawerTransition;

        position: relative;
        width: 100%;
        height: 100%;
        backface-visibility: hidden;
        min-height: calc(100% - 4rem);
        margin: 1rem;
      }

      .Footer {
        position: fixed;
        bottom: 0;
        width: 100%;
        margin-left: 1rem;
      }

      .FooterContent {
        margin: 1rem 0;
      }
    }
  }
}
